[package]
name = "wxbox-client"
version = "0.1.0"
edition = "2021"

[dependencies]
tracing = "0.1"
tracing-subscriber = "0.3"
eframe = { version = "0.31", features = ["persistence"] }
egui = "0.31"
poll-promise = "0.3"
image = "0.25"
rand = "0.9"
serde = { version = "1", features = ["derive"] }
toml = "0.8"
egui_extras = { version = "0.31", features = ["serde"] }
egui_demo_lib = { version = "0.31", features = ["serde"] }
egui-phosphor = "0.9"
walkers = { version = "0.36", git = "https://github.com/c0repwn3r/walkers", branch = "core/wxbox", features = ["serde"] }
#walkers = { version = "0.36", path = "../../../walkers/walkers", features = ["serde"] }
getrandom = { version = "0.3", features = ["wasm_js"] }
lru = "0.13"
futures = "0.3"

[target.'cfg(target_arch = "wasm32")'.dependencies]
tracing-web = "0.1"
wasm-bindgen-futures = "0.4"
web-sys = "0.3"
console_error_panic_hook = "0.1"
